Skip to navigation

Get API request logging log files

View as Markdown

Retrieves a list of log entries as a JSON or xml object or as a zip file containing the entries.

If the Accept header is set to application/zip, the response is a zip file containing individual text files, each representing an API request.

If the Accept header is set to application/json or application/xml, the response returns list of log entries in either JSON or XML. An example JSON response body is shown below.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Query parameters

encodingstringOptional
Reserved for Docusign.

Response

Successful response.
apiRequestLogslist of objectsOptional
Reserved for Docusign.

Errors

400
Bad Request Error